> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.erp.olist.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Obter produto



## OpenAPI

````yaml https://erp.olist.com/public-api/v3/swagger/swagger-mintlify.json get /produtos/{idProduto}
openapi: 3.0.0
info:
  title: Olist ERP API v3
  description: >-
    Documentação completa: <a href="https://api-docs.erp.olist.com"
    target="_blank">https://api-docs.erp.olist.com</a>
  version: '3.1'
servers:
  - url: https://api.tiny.com.br/public-api/v3
security: []
paths:
  /produtos/{idProduto}:
    get:
      tags:
        - Produtos
      summary: Obter produto
      operationId: ObterProdutoAction
      parameters:
        - $ref: '#/components/parameters/get_produtos_idProduto_idProduto'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ObterProdutoModelResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorDTO'
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
        '500':
          description: Internal Server Error
        '503':
          description: Service Unavailable
      security:
        - bearerAuth: []
components:
  parameters:
    get_produtos_idProduto_idProduto:
      name: idProduto
      in: path
      required: true
      schema:
        type: integer
  schemas:
    ObterProdutoModelResponse:
      title: ' '
      description: ' '
      type: object
      allOf:
        - $ref: '#/components/schemas/ProdutoResponseModel'
        - properties:
            descricaoComplementar:
              type: string
              nullable: true
            tipo:
              description: |-

                - K - Kit
                - S - Simples
                - V - Com Variacoes
                - F - Fabricado
                - M - Materia Prima
              type: string
              enum:
                - K
                - S
                - V
                - F
                - M
              nullable: true
              x-enumDescriptions:
                - K - Kit
                - S - Simples
                - V - Com Variacoes
                - F - Fabricado
                - M - Materia Prima
            situacao:
              description: |-

                - A - Ativo
                - I - Inativo
                - E - Excluido
              type: string
              enum:
                - A
                - I
                - E
              nullable: true
              x-enumDescriptions:
                - A - Ativo
                - I - Inativo
                - E - Excluido
            produtoPai:
              $ref: '#/components/schemas/ProdutoResponseModel'
            unidade:
              type: string
              nullable: true
            unidadePorCaixa:
              type: string
              nullable: true
            ncm:
              type: string
              nullable: true
            gtin:
              type: string
              nullable: true
            origem:
              description: |-

                - 0 - Nacional Exceto Codigo 3 A 5
                - 4 - Nacional Producao Conforme Ajustes
                - 5 - Nacional Conteudo Importacao Inferior 40
                - 3 - Nacional Conteudo Importacao Superior 40
                - 8 - Nacional Conteudo Importacao Superior 70
                - 1 - Estrangeira Importacao Direta Exceto Codigo 6
                - 6 - Estrangeira Importacao Direta Sem Similar
                - 2 - Estrangeira Adquirida Mercado Interno
                - 7 - Estrangeira Adquirida Mercado Interno Sem Similar
              type: string
              enum:
                - 0
                - 4
                - 5
                - 3
                - 8
                - 1
                - 6
                - 2
                - 7
              x-enumDescriptions:
                - 0 - Nacional Exceto Codigo 3 A 5
                - 4 - Nacional Producao Conforme Ajustes
                - 5 - Nacional Conteudo Importacao Inferior 40
                - 3 - Nacional Conteudo Importacao Superior 40
                - 8 - Nacional Conteudo Importacao Superior 70
                - 1 - Estrangeira Importacao Direta Exceto Codigo 6
                - 6 - Estrangeira Importacao Direta Sem Similar
                - 2 - Estrangeira Adquirida Mercado Interno
                - 7 - Estrangeira Adquirida Mercado Interno Sem Similar
            garantia:
              type: string
              nullable: true
            observacoes:
              type: string
              nullable: true
            categoria:
              $ref: '#/components/schemas/CategoriaResponseModel'
            marca:
              $ref: '#/components/schemas/MarcaResponseModel'
            dimensoes:
              $ref: '#/components/schemas/DimensoesProdutoResponseModel'
            precos:
              $ref: '#/components/schemas/PrecoProdutoResponseModel'
            estoque:
              $ref: '#/components/schemas/EstoqueProdutoResponseModel'
            fornecedores:
              type: array
              items:
                $ref: '#/components/schemas/FornecedorProdutoResponseModel'
              nullable: true
            seo:
              $ref: '#/components/schemas/SeoProdutoModelResponse'
            tributacao:
              $ref: '#/components/schemas/TributacaoProdutoResponseModel'
            anexos:
              type: array
              items:
                $ref: '#/components/schemas/AnexoResponseModel'
            variacoes:
              type: array
              items:
                $ref: '#/components/schemas/VariacaoProdutoResponseModel'
            kit:
              type: array
              items:
                $ref: '#/components/schemas/ProdutoKitResponseModel'
            producao:
              $ref: '#/components/schemas/ProducaoProdutoResponseModel'
            codigoListaServicos:
              type: string
              nullable: true
            tipoVariacao:
              description: |-

                - N - Normal
                - P - Pai
                - V - Variacao
              type: string
              enum:
                - 'N'
                - P
                - V
              nullable: true
              x-enumDescriptions:
                - N - Normal
                - P - Pai
                - V - Variacao
          type: object
    ErrorDTO:
      title: ' '
      description: ' '
      properties:
        mensagem:
          description: Mensagem de erro geral
          type: string
          example: Ocorreram erros de validação
        detalhes:
          description: Detalhes específicos do erro
          type: array
          items:
            $ref: '#/components/schemas/ErrorDetailDTO'
          example:
            - campo: codigo
              mensagem: O campo código é obrigatório
          nullable: true
      type: object
    ProdutoResponseModel:
      title: ' '
      description: ' '
      properties:
        id:
          type: integer
          nullable: true
        sku:
          type: string
          nullable: true
        descricao:
          type: string
          nullable: true
        tipo:
          description: |-

            - P - Produto
            - S - Servico
          type: string
          enum:
            - P
            - S
          nullable: true
          x-enumDescriptions:
            - P - Produto
            - S - Servico
      type: object
    CategoriaResponseModel:
      title: ' '
      description: ' '
      type: object
      allOf:
        - properties:
            id:
              type: integer
              nullable: true
            nome:
              type: string
              nullable: true
            caminhoCompleto:
              type: string
              nullable: true
          type: object
    MarcaResponseModel:
      title: ' '
      description: ' '
      type: object
      allOf:
        - properties:
            id:
              type: integer
              nullable: true
            nome:
              type: string
              nullable: true
          type: object
    DimensoesProdutoResponseModel:
      title: ' '
      description: ' '
      type: object
      allOf:
        - properties:
            embalagem:
              $ref: '#/components/schemas/EmbalagemResponseModel'
            largura:
              type: number
              format: float
              nullable: true
            altura:
              type: number
              format: float
              nullable: true
            comprimento:
              type: number
              format: float
              nullable: true
            diametro:
              type: number
              format: float
              nullable: true
            pesoLiquido:
              type: number
              format: float
              nullable: true
            pesoBruto:
              type: number
              format: float
              nullable: true
            quantidadeVolumes:
              type: integer
              nullable: true
          type: object
    PrecoProdutoResponseModel:
      title: ' '
      description: ' '
      type: object
      allOf:
        - properties:
            preco:
              type: number
              format: float
              nullable: true
            precoPromocional:
              type: number
              format: float
              nullable: true
            precoCusto:
              type: number
              format: float
              nullable: true
            precoCustoMedio:
              type: number
              format: float
              nullable: true
          type: object
    EstoqueProdutoResponseModel:
      title: ' '
      description: ' '
      type: object
      allOf:
        - properties:
            controlar:
              type: boolean
              nullable: true
            sobEncomenda:
              type: boolean
              nullable: true
            diasPreparacao:
              type: integer
              nullable: true
            localizacao:
              type: string
              nullable: true
            minimo:
              type: number
              format: float
              nullable: true
            maximo:
              type: number
              format: float
              nullable: true
            quantidade:
              type: number
              format: float
              nullable: true
          type: object
    FornecedorProdutoResponseModel:
      title: ' '
      description: ' '
      type: object
      allOf:
        - properties:
            id:
              type: integer
              nullable: true
            nome:
              type: string
              nullable: true
            codigoProdutoNoFornecedor:
              type: string
              nullable: true
          type: object
    SeoProdutoModelResponse:
      title: ' '
      description: ' '
      type: object
      allOf:
        - properties:
            titulo:
              type: string
              nullable: true
            descricao:
              type: string
              nullable: true
            keywords:
              type: array
              items:
                type: string
              nullable: true
            linkVideo:
              type: string
              nullable: true
            slug:
              type: string
              nullable: true
          type: object
    TributacaoProdutoResponseModel:
      title: ' '
      description: ' '
      type: object
      allOf:
        - properties:
            gtinEmbalagem:
              type: string
              nullable: true
            valorIPIFixo:
              type: number
              format: float
              nullable: true
            classeIPI:
              type: string
              nullable: true
          type: object
    AnexoResponseModel:
      title: ' '
      description: ' '
      type: object
      allOf:
        - properties:
            id:
              type: integer
              nullable: true
            url:
              type: string
              nullable: true
            externo:
              type: boolean
              nullable: true
          type: object
    VariacaoProdutoResponseModel:
      title: ' '
      description: ' '
      type: object
      allOf:
        - properties:
            id:
              type: integer
              nullable: true
            descricao:
              type: string
              nullable: true
            sku:
              type: string
              nullable: true
            gtin:
              type: string
              nullable: true
            precos:
              $ref: '#/components/schemas/PrecoProdutoResponseModel'
            estoque:
              $ref: '#/components/schemas/EstoqueProdutoResponseModel'
            grade:
              type: array
              items:
                $ref: '#/components/schemas/GradeVariacaoRequestModel'
              nullable: true
          type: object
    ProdutoKitResponseModel:
      title: ' '
      description: ' '
      type: object
      allOf:
        - properties:
            produto:
              $ref: '#/components/schemas/ProdutoResponseModel'
            quantidade:
              type: number
              format: float
          type: object
    ProducaoProdutoResponseModel:
      title: ' '
      description: ' '
      type: object
      allOf:
        - properties:
            produtos:
              type: array
              items:
                $ref: '#/components/schemas/ProdutoFabricadoResponseModel'
            etapas:
              type: array
              items:
                type: string
          type: object
    ErrorDetailDTO:
      title: ' '
      description: ' '
      properties:
        campo:
          description: Campo que gerou o erro
          type: string
          example: codigo
        mensagem:
          description: Mensagem de erro específica do campo
          type: string
          example: O campo código é obrigatório
      type: object
    EmbalagemResponseModel:
      title: ' '
      description: ' '
      type: object
      allOf:
        - properties:
            id:
              type: integer
              nullable: true
            tipo:
              description: |-

                - 0 - Nao Definido
                - 1 - Envelope
                - 2 - Caixa
                - 3 - Cilindro
              type: integer
              enum:
                - 0
                - 1
                - 2
                - 3
              nullable: true
              x-enumDescriptions:
                - 0 - Nao Definido
                - 1 - Envelope
                - 2 - Caixa
                - 3 - Cilindro
            descricao:
              type: string
              nullable: true
          type: object
    GradeVariacaoRequestModel:
      title: ' '
      description: ' '
      type: object
      allOf:
        - properties:
            chave:
              type: string
              nullable: false
            valor:
              type: string
              nullable: false
          type: object
    ProdutoFabricadoResponseModel:
      title: ' '
      description: ' '
      type: object
      allOf:
        - properties:
            produto:
              $ref: '#/components/schemas/ProdutoResponseModel'
            quantidade:
              type: number
              format: float
          type: object
  securitySchemes:
    bearerAuth:
      type: http
      scheme: Bearer

````